<?xml version="1.0" encoding="UTF-8"?>
<!-- https://phpunit.readthedocs.io/en/latest/configuration.html -->
<!-- https://thephp.cc/dates/2019/06/international-php-conference-spring-edition/phpunit-best-practices# -->
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/9.5/phpunit.xsd"
         backupGlobals="false"
         backupStaticAttributes="false"
         bootstrap="tests/bootstrap.php"
         forceCoversAnnotation="true"
         beStrictAboutTestsThatDoNotTestAnything="true"
         cacheResult="true"
         cacheResultFile="var/cache/test/.phpunit.result.cache"
         colors="true"
         columns="max"
         executionOrder="random"
         testdox="true">
    <coverage processUncoveredFiles="true">
        <include>
            <directory suffix=".php">src</directory>
        </include>
        <exclude>
            <file>src/Infrastructure/Kernel.php</file>
        </exclude>
        <report>
            <clover outputFile="./coverage/coverage.xml"/>
            <html outputDirectory="./coverage/report" lowUpperBound="35" highLowerBound="70"/>
        </report>
    </coverage>
    <php>
        <ini name="error_reporting" value="-1"/>
        <server name="APP_ENV" value="test" force="true"/>
        <server name="SHELL_VERBOSITY" value="-1"/>
    </php>
    <testsuites>
        <testsuite name="functional">
            <directory>tests/functional</directory>
        </testsuite>
    </testsuites>
    <logging>
        <testdoxText outputFile="php://stdout"/>
    </logging>
</phpunit>
